| adcdxc.sbt 1;4 - scrub table to convert ICADD character entrefs to Duxbury's
| Copyright 1993-95 Duxbury Systems, Inc.  This file (adcdxc.sbt) may be
|   copied and used for any legal purpose, provided this copyright notice
|   is retained and any modifications are appropriately noted below.
| Note: philosophy is to put in a
|   translation when a particular rendering seems likely to be desirable
|   most of the time -- but obviously the treatment of many esoteric
|   symbols might require analysis of context.  Note that the treatment
|   [*SymbolName] is taken when no likely treatment could be
|   determined.  Note also that, if extensive Greek or Cyrillic texts
|   should be encountered, coded this way (which seems unlikely), then
|   forcing treatment per WPBRI's special .CSM (character set mapping)
|   tables is advisable.
| Alphabetics within noncomment <...> tags are downcased herein, for the
|   convenience of later steps.
| Certain entrefs, notably for angle brackets and apostrophe, are left in a
|   special &...; form (without alphabetics) for later resolution.
| States: 1 = outside < ... > tags
|   2 = inside noncomment tags
|   3 = inside comment tags
| 1;1 1993-2-9 J E Sullivan - preliminary set developed just for
|      Yuri Rubinski's "Columbus" text
| 1;2 1993-5-25/26 JES - incorporate all SGML/AAP & Postscript symbols as
|     defined in references below.
|     1993-5-31 JES: inside tags, change line endings to spaces
|     1993-6-1 JES: add note re length of PostScript-derived references
| 1;3 1995-4-29 JES - issue just one $ for &dollar; &c. here
| 1;4 1995-9-29 JES - remove "PostScript-derived" entrefs
| following are from "Electronic Manuscript Preparation and Markup"
| (ANSI Z39.59-1988) Appendix C, in order:
&excl;~!~
&quot;~"~
&num;~#~
&percnt;~%~
&amp;~&~ | may need forcer, e.g. && in some cases
&apos;~&[];~ | for later resolution
&lpar;~(~
&rpar;~)~
&ast;~*~
&plus;~+~
&comma;~,~
&hyphen;~-~
&period;~.~
&sol;~/~ | may need forcer, e.g. &(/) in some cases
&colon;~:~
&semi;~;~
&lt;~&[[;~ | for later resolution
&equals;~=~
&gt;~&]];~ | for later resolution
&quest;~?~
&commat;~@~
&bsol;~\~
&lsqb;~[~
&rsqb;~]~
&lowbar;~_~ | may prefer word in literary
&lcub;~{~
&rcub;~}~
&verbar;~||~
&dollar;~$~
&curren;~[*curren]~
&times;~[*times]~
&divide;~[*divide]~
&plusmn;~[*plusmn]~
&larr;~[*larr]~
&rarr;~[*rarr]~
&cent;~~
&pound;~~
&yen;~~
&copy;~[*copy]~
&trade;~[*trade]~
&para;~[*para]~
&reg;~[*reg]~
&sect;~[*sect]~
&deg;~~
&iexcl;~~
&iquest;~~
&lsquo;~`~
&rsquo;~`~
&ldquo;~"~
&rdquo;~"~
&laquo;~"~
&raquo;~"~
&bull;~--~
&squf;~[*squf]~
&utrif;~[*utrif]~
&dtrif;~[*dtrif]~
&check;~[*check]~
&starf;~[*starf]~
&dagger;~[*dagger]~
&Dagger;~[*Dagger]~
&incare;~c/o~
&hellip;~...~
&mdash;~--~
&ndash;~--~
&minus;~-~
&mnplus;~[*mnplus]~
&land;~&[[;~ | for later resolution
&rang;~&]];~ | for later resolution
&aacute;~~
&Aacute;~~
&agrave;~~
&Agrave;~~
&acirc;~~
&Acirc;~~
&auml;~~
&Auml;~~
&atilde;~[*atilde]~
&Atilde;~[*Atilde]~
&abreve;~[*abreve]~
&Abreve;~[*Abreve]~
&aring;~[*aring]~
&Aring;~[*Aring]~
&amacr;~[*amacr]~
&Amacr;~[*Amacr]~
&aogon;~[*aogon]~
&Aogon;~[*Aogon]~
&aelig;~ae~
&AElig;~AE~
&cacute;~[*cacute]~
&Cacute;~[*Cacute]~
&ccirc;~[*ccirc]~
&Ccirc;~[*Ccirc]~
&ccaron;~[*ccaron]~
&Ccaron;~[*Ccaron]~
&cdot;~[*cdot]~
&Cdot;~[*Cdot]~
&ccedil;~~
&Ccedil;~~
&dcaron;~[*dcaron]~
&Dcaron;~[*Dcaron]~
&dstrok;~[*dstrok]~
&Dstrok;~[*Dstrok]~
&eth;~[*eth]~
&ETH;~[*ETH]~
&eacute;~~
&Eacute;~~
&egrave;~~
&Egrave;~~
&ecirc;~~
&Ecirc;~~
&euml;~~
&Euml;~~
&ecaron;~[*ecaron]~
&Ecaron;~[*Ecaron]~
&edot;~[*edot]~
&Edot;~[*Edot]~
&emacr;~[*emacr]~
&Emacr;~[*Emacr]~
&eogon;~[*eogon]~
&Eogon;~[*Eogon]~
&gacute;~[*gacute]~
&gcirc;~[*gcirc]~
&Gcirc;~[*Gcirc]~
&gbreve;~[*gbreve]~
&Gbreve;~[*Gbreve]~
&gdot;~[*gdot]~
&Gdot;~[*Gdot]~
&Gcedil;~[*Gcedil]~
&hcirc;~[*hcirc]~
&Hcirc;~[*Hcirc]~
&hstrok;~[*hstrok]~
&Hstrok;~[*Hstrok]~
&iacute;~~
&Iacute;~~
&igrave;~~
&Igrave;~~
&icirc;~~
&Icirc;~~
&iuml;~~
&Iuml;~~
&itilde;~[*itilde]~
&Itilde;~[*Itilde]~
&Idot;~[*Idot]~
&imacr;~[*imacr]~
&Imacr;~[*Imacr]~
&iogon;~[*iogon]~
&Iogon;~[*Iogon]~
&ijlig;~ij~
&IJlig;~IJ~
&inodot;~i~
&jcirc;~[*jcirc]~
&Jcirc;~[*Jcirc]~
&kcedil;~[*kcedil]~
&Kcedil;~[*Kcedil]~
&kgreen;~[*kgreen]~
&lacute;~[*lacute]~
&Lacute;~[*Lacute]~
&lcaron;~[*lcaron]~
&Lcaron;~[*Lcaron]~
&lcedil;~[*lcedil]~
&Lcedil;~[*Lcedil]~
&lstrok;~[*lstrok]~
&Lstrok;~[*Lstrok]~
&lmidot;~[*lmidot]~
&Lmidot;~[*Lmidot]~
&nacute;~[*nacute]~
&Nacute;~[*Nacute]~
&ntilde;~~
&Ntilde;~~
&ncaron;~[*ncaron]~
&Ncaron;~[*Ncaron]~
&ncedil;~[*ncedil]~
&Ncedil;~[*Ncedil]~
&eng;~[*eng]~
&ENG;~[*ENG]~
&napos;~&[];n~ | for later resolution
&oacute;~~
&Oacute;~~
&ograve;~~
&Ograve;~~
&ocirc;~~
&Ocirc;~~
&ouml;~~
&Ouml;~~
&otilde;~[*otilde]~
&Otilde;~[*Otilde]~
&odblac;~[*odblac]~
&Odblac;~[*Odblac]~
&omacr;~[*omacr]~
&Omacr;~[*Omacr]~
&oelig;~oe~
&OElig;~OE~
&oslash;~[*oslash]~
&Oslash;~[*Oslash]~
&racute;~[*racute]~
&Racute;~[*Racute]~
&rcaron;~[*rcaron]~
&Rcaron;~[*Rcaron]~
&rcedil;~[*rcedil]~
&Rcedil;~[*Rcedil]~
&sacute;~[*sacute]~
&Sacute;~[*Sacute]~
&scirc;~[*scirc]~
&Scirc;~[*Scirc]~
&scaron;~[*scaron]~
&Scaron;~[*Scaron]~
&scedil;~[*scedil]~
&Scedil;~[*Scedil]~
&szlig;~sz~
&tcaron;~[*tcaron]~
&Tcaron;~[*Tcaron]~
&tcedil;~[*tcedil]~
&Tcedil;~[*Tcedil]~
&tstrok;~[*tstrok]~
&Tstrok;~[*Tstrok]~
&thorn;~[*thorn]~
&THORN;~[*THORN]~
&uacute;~~
&Uacute;~~
&ugrave;~~
&Ugrave;~~
&ucirc;~~
&Ucirc;~~
&uuml;~~
&Uuml;~~
&utilde;~[*utilde]~
&Utilde;~[*Utilde]~
&ubreve;~[*ubreve]~
&Ubreve;~[*Ubreve]~
&udblac;~[*udblac]~
&Udblac;~[*Udblac]~
&uring;~[*uring]~
&Uring;~[*Uring]~
&umacr;~[*umacr]~
&Umacr;~[*Umacr]~
&uogon;~[*uogon]~
&Uogon;~[*Uogon]~
&wcirc;~[*wcirc]~
&Wcirc;~[*Wcirc]~
&yacute;~[*yacute]~
&Yacute;~[*Yacute]~
&ycirc;~[*ycirc]~
&Ycirc;~[*Ycirc]~
&yuml;~~
&Yuml;~~
&zacute;~[*zacute]~
&Zacute;~[*Zacute]~
&zcaron;~[*zcaron]~
&Zcaron;~[*Zcaron]~
&zdot;~[*zdot]~
&Zdot;~[*Zdot]~
&acute;~[*acute]~
&grave;~[*grave]~
&circ;~[*circ]~
&uml;~[*uml]~
&tilde;~|~~
&caron;~[*caron]~
&breve;~[*breve]~
&dblac;~[*dblac]~
&ring;~[*ring]~
&dot;~[*dot]~
&macr;~[*macr]~
&cedil;~[*cedil]~
&ogon;~[*ogon]~
&agr;~[*agr]~ | For complete Greek, cf. special WPBRI .csm
&Agr;~[*Agr]~
&bgr;~[*bgr]~
&Bgr;~[*Bgr]~
&ggr;~[*ggr]~
&Ggr;~[*Ggr]~
&dgr;~[*dgr]~
&Dgr;~[*Dgr]~
&egr;~[*egr]~
&Egr;~[*Egr]~
&zgr;~[*zgr]~
&Zgr;~[*Zgr]~
&eegr;~[*eegr]~
&EEgr;~[*EEgr]~
&thgr;~[*thgr]~
&THgr;~[*THgr]~
&igr;~[*igr]~
&Igr;~[*Igr]~
&kgr;~[*kgr]~
&Kgr;~[*Kgr]~
&lgr;~[*lgr]~
&Lgr;~[*Lgr]~
&mgr;~[*mgr]~
&Mgr;~[*Mgr]~
&ngr;~[*ngr]~
&Ngr;~[*Ngr]~
&xgr;~[*xgr]~
&Xgr;~[*Xgr]~
&ogr;~[*ogr]~
&Ogr;~[*Ogr]~
&pgr;~[*pgr]~
&Pgr;~[*Pgr]~
&rgr;~[*rgr]~
&Rgr;~[*Rgr]~
&sgr;~[*sgr]~
&Sgr;~[*Sgr]~
&sfgr;~[*sfgr]~
&tgr;~[*tgr]~
&Tgr;~[*Tgr]~
&ugr;~[*ugr]~
&Ugr;~[*Ugr]~
&fgr;~[*fgr]~
&Fgr;~[*Fgr]~
&khgr;~[*khgr]~
&KHgr;~[*KHgr]~
&psgr;~[*psgr]~
&PSgr;~[*PSgr]~
&ohgr;~[*ohgr]~
&OHgr;~[*OHgr]~
&yucy;~[*yucy]~ | For complete Cyrillic, see special WPBRI .csm
&YUcy;~[*YUcy]~
&acy;~[*acy]~
&Acy;~[*Acy]~
&bcy;~[*bcy]~
&Bcy;~[*Bcy]~
&tscy;~[*tscy]~
&TScy;~[*TScy]~
&dcy;~[*dcy]~
&Dcy;~[*Dcy]~
&yecy;~[*yecy]~
&YEcy;~[*YEcy]~
&fcy;~[*fcy]~
&Fcy;~[*Fcy]~
&gcy;~[*gcy]~
&Gcy;~[*Gcy]~
&khcy;~[*khcy]~
&KHcy;~[*KHcy]~
&icy;~[*icy]~
&Icy;~[*Icy]~
&jcy;~[*jcy]~
&Jcy;~[*Jcy]~
&kcy;~[*kcy]~
&Kcy;~[*Kcy]~
&lcy;~[*lcy]~
&Lcy;~[*Lcy]~
&mcy;~[*mcy]~
&Mcy;~[*Mcy]~
&ncy;~[*ncy]~
&Ncy;~[*Ncy]~
&ocy;~[*ocy]~
&Ocy;~[*Ocy]~
&pcy;~[*pcy]~
&Pcy;~[*Pcy]~
&yacy;~[*yacy]~
&YAcy;~[*YAcy]~
&rcy;~[*rcy]~
&Rcy;~[*Rcy]~
&scy;~[*scy]~
&Scy;~[*Scy]~
&tcy;~[*tcy]~
&Tcy;~[*Tcy]~
&ucy;~[*ucy]~
&Ucy;~[*Ucy]~
&zhcy;~[*zhcy]~
&ZHcy;~[*ZHcy]~
&vcy;~[*vcy]~
&Vcy;~[*Vcy]~
&softcy;~[*softcy]~
&SOFTcy;~[*SOFTcy]~
&ycy;~[*ycy]~
&Ycy;~[*Ycy]~
&zcy;~[*zcy]~
&Zcy;~[*Zcy]~
&shcy;~[*shcy]~
&SHcy;~[*SHcy]~
&ecy;~[*ecy]~
&Ecy;~[*Ecy]~
&shchcy;~[*shchcy]~
&SHCHcy;~[*SHCHcy]~
&chcy;~[*chcy]~
&CHcy;~[*CHcy]~
&hardcy;~[*hardcy]~
| 1995-9-29: All PostScript-derived entrefs (which where too long
|   anyway) were removed to adcdxcps.rmk
| following rules are for downcasing within noncomment tags
<!--~<!--~1~3~ | beginning of comment to be sent through
-->~-->~3~1~ | end of comment
<~<~1~2~ | beginning of other (noncomment) tag
>~>~2~1~ | end of noncomment tag
A~a~2~
B~b~2~
C~c~2~
D~d~2~
E~e~2~
F~f~2~
G~g~2~
H~h~2~
I~i~2~
J~j~2~
K~k~2~
L~l~2~
M~m~2~
N~n~2~
O~o~2~
P~p~2~
Q~q~2~
R~r~2~
S~s~2~
T~t~2~
U~u~2~
V~v~2~
W~w~2~
X~x~2~
Y~y~2~
Z~z~2~
|013|010~ ~2~
